ZETAGLEST(6)

NAME
zetaglest - 3D multi-player real time strategy game

SYNOPSIS
zetaglest [OPTION]... VALUE...

DESCRIPTION
Options for running zetaglest from the command line

--help

    display usage

--autostart-lastgame

    Automatically starts a game with the last settings played

--load-saved-game=FILE

    Loads the last saved game.

    FILE - optional name of the saved game file to load. If FILE is not specified, the last game that was saved is loaded

--auto-test=x,y,z

    Run in auto test mode

    x - optional maximum # seconds to play.

    If 'x' is not specified the default is 1200 seconds (20 minutes).

    y - optional game settings file to play.

    If 'y' is not specified (or is empty) then auto test cycles through playing scenarios.

    z - the word 'exit' indicating the game should exit after the game

    is finished or the time runs out. If 'z' is not specified (or is empty) then auto test continues to cycle.

--connect=x:y

    Auto connect to host server at IP or hostname x using port y. Shortcut version of using --connecthost and --use-ports. *NOTE: to automatically connect to the first LAN host you may use:

--connect=auto-connect

--connecthost=x

    Auto connect to host server at IP or hostname x. *NOTE: to automatically connect to the first LAN host you may use

--connecthost=auto-connect

--starthost

    Auto create a host server.

--headless-server-mode=x,x

    Run as a headless server. Where 'x' is an optional comma delimited command list of one or more of the following:

exit
    - the application quits after all players have disconnected

vps - commands from the local console are NOT read (for some vps's)

lan - prevents broadcasting the hosting server to the masterserver (for local LAN games).

--headless-server-status

    Check the current status of a headless server

--use-ports=x,y,z

    Force hosted games to listen internally on port 'x', externally on port 'y' and for game status on port 'z'

    'x' - internal listening port on the local machine 'y' - external port on the router/proxy from which to forward connections

    to the internal port

    'z' - game status port on the local machine from which to listen

    for status requests

    NOTE: If enabled, the FTP Server port's will be set to x+1 to x+9.

--server-title=x

    Set server title.

--load-scenario=x

    Auto load a scenario by scenario name.

--load-mod=x

    Auto load a mod by mod pathname.

--preview-map=Map,Tileset

    Auto Preview a map by map name. (tileset is optional)

--version

    Displays the version string of this program.

--opengl-info

    Displays your video driver's OpenGL info.

--sdl-info

    Displays your SDL version information.

--lua-info

    Displays your LUA version information.

--lua-debug

    Displays LUA debug information.

--curl-info

    Displays your CURL version information.

--xerces-info

    Displays your XERCES version information.

--validate-techtrees=x=purgeunused=purgeduplicates=gitdelete=hideduplicates

    Display a report detailing any known problems related to your selected techtrees game data.

x   - comma-delimited list of techtrees to validate

purgeunused
    - optional parameter telling the validation to delete

    extra files in the techtree that are not used

purgeduplicates - optional parameter telling the validation to merge
    duplicate files in the techtree

gitdelete
    - optional parameter telling the validation to call

    'git rm' on duplicate and unused files in the techtree

hideduplicates
    - optional parameter telling the validation to NOT

SHOW duplicate files in the techtree
    *NOTE: This only applies when files are purged due to the above flags being set.

    example:

    zetaglest --validate-techtrees=zetapack,vbros_pack_5

--validate-factions=x=purgeunused=purgeduplicates=hideduplicates

    Display a report detailing any known problems related to

    your selected factions game data.

    Where x is a comma-delimited list of factions to validate.

    Where 'purgeunused' is an optional parameter telling the

    validation to delete extra files in the faction that are

    not used.

    Where 'purgeduplicates' is an optional parameter telling the

    validation to merge duplicate files in the faction.

    Where 'hideduplicates' is an optional parameter telling the

    validation to NOT SHOW duplicate files in the techtree.

    *NOTE: leaving the list empty is the same as running:

    --validate-techtrees

    example: zetaglest --validate-factions=tech,egypt

--validate-scenario=x=purgeunused=gitdelete

    Display a report detailing any known problems related to

    your selected scenario game data.

    Where x is a single scenario to validate.

    Where 'purgeunused' is an optional parameter telling the

    validation to delete extra files in the scenario that

    are not used.

    example: zetaglest --validate-scenario=stranded

--validate-tileset=x=purgeunused=gitdelete

    Display a report detailing any known problems related to

    your selected tileset game data.

    Where x is a single tileset to validate.

    Where 'purgeunused' is an optional parameter telling the

    validation to delete extra files in the tileset that

    are not used.

    example: zetaglest --validate-tileset=desert2

--translate-techtrees=x

    Produces a default lng file for the specified techtree to

    prepare for translation into other languages.

    Where x is a techtree name.

--list-maps=x Display a list of game content: maps.

    Where x is an optional name filter.

    example: zetaglest --list-maps=island*

--list-techtrees=showfactions

    Display a list of game content: techtrees.

    Where 'showfactions' is an optional parameter to display

    factions in each techtree.

    example: zetaglest --list-techtrees=showfactions

--list-scenarios=x Display a list of game content: scenarios.

    Where x is an optional name filter.

    example: zetaglest --list-scenarios=beginner*

--list-tilesets=x Display a list of game content: tilesets.

    Where x is an optional name filter.

    example: zetaglest --list-tilesets=f*

--list-tutorials=x Display a list of game content: tutorials.

    Where x is an optional name filter.

    example: zetaglest --list-tutorials=*

--data-path=x Sets the game data path to x.

    example:

    zetaglest --data-path=/usr/local/game_data/

--ini-path=x Sets the game ini path to x.

    example: zetaglest --ini-path=~/game_config/

--log-path=x Sets the game logs path to x.

    example: zetaglest --log-path=~/game_logs/

--font-path=x Sets the game fonts path to x.

    example: zetaglest --font-path=~/myfonts/

--show-ini-settings=x Display merged ini settings information.

    Where x is an optional property name to filter (default

    shows all).

    example:

    zetaglest --show-ini-settings=DebugMode

--convert-models=x=textureformat=keepsmallest

    Convert a model file or folder to the current g3d version

    format.

    Where x is a filename or folder containing the g3d model(s).

    Where 'textureformat' is an optional supported texture

    format to convert to (tga,bmp,jpg,png).

    Where 'keepsmallest' is an optional flag indicating to keep

    the original texture if its filesize is smaller than the

    converted format.

    example:

    zetaglest --convert-models=techs/zetapack/factions/tech/

    units/castle/models/castle.g3d=png=keepsmallest

--use-language=x Force the language to be the language specified

    by x. Where x is a language filename or ISO639-1 code.

    example: zetaglest --use-language=english

    example: zetaglest --use-language=en

--show-map-crc=x Show the calculated CRC for the map named x.

    Where x is a map name.

    example: zetaglest --show-map-crc=four_rivers

--show-tileset-crc=x Show the calculated CRC for the tileset named x.

    Where x is a tileset name.

    example: zetaglest --show-tileset-crc=forest

--show-techtree-crc=x Show the calculated CRC for the techtree named x.

    Where x is a techtree name.

    example: zetaglest --show-techtree-crc=zetapack

--show-scenario-crc=x Show the calculated CRC for the scenario named x.

    Where x is a scenario name.

    example: zetaglest --show-scenario-crc=storming

--show-path-crc=x=y Show the calculated CRC for files in the path

    located in x using file filter y.

    Where x is a path name and y is file(s) filter.

    example: zetaglest --show-path-crc=techs/=zetapack.7z

--disable-backtrace Disables stack backtrace on errors.

--disable-sigsegv-handler

    Disables the sigsegv error handler.

--disable-vbo Disables trying to use Vertex Buffer Objects.

--disable-vertex-interpolation

    Disables interpolating animations to make them smoother.

--disable-sound Disables the sound system.

--enable-legacyfonts Enables using the legacy font system.

--resolution=x Override the video resolution.

    Where x is a string with the following format: 'width x height'.

    example: zetaglest --resolution=1024x768

--colorbits=x Override the video colorbits.

    Where x is a valid colorbits value supported by your video

    driver.

    example: zetaglest --colorbits=32

--depthbits=x Override the video depthbits.

    Where x is a valid depthbits value supported by your video

    driver.

    example: zetaglest --depthbits=24

--fullscreen=x Override the video fullscreen mode.

    Where x either true or false.

    example: zetaglest --fullscreen=true

--set-gamma=x Override the video gamma (contrast) value.

    Where x is a floating point value.

    example: zetaglest --set-gamma=1.5

--use-font=x Override the font to use.

    Where x is the path and name of a font file supported by

    freetype2.

    example:

    zetaglest --use-font=$APPLICATIONDATAPATH/data/core/fonts/Vera.ttf

--font-basesize=x Override the font base size.

    Where x is the numeric base font size to use.

    example: zetaglest --font-basesize=5

--disable-videos Disables video playback.

--disable-opengl-checks

    Disables opengl capability checks (for corrupt or flaky video

    drivers).

--create-data-archives=x=y

    Compress selected game data into archives for network sharing.

    Where x is one of the following data items to compress:

    techtrees, tilesets or all.

    Where y = include_main to include main (non mod) data.

    example: zetaglest --create-data-archives=all

--steam=x=y

    Run with Steam Client Integration.

--verbose Displays verbose information in the console.

Compiled using: GNUC: 60300 [64bit] platform: Linux-X64 endianness: little version: [v0.8.02] - using STREFLOP [SSE] - [no-denormals]